Loading...
Searching...
No Matches
AVVideotoolboxContext Struct Reference
libavcodec » Codecs » Hardware Accelerators bridge » VideoToolbox Decoder

This struct holds all the information that needs to be passed between the caller and libavcodec for initializing Videotoolbox decoding. More...

`#include <libavcodec/videotoolbox.h>`

## Data Fields

VTDecompressionSessionRef | session
| Videotoolbox decompression session object.
OSType | cv_pix_fmt_type
| CVPixelBuffer Format Type that Videotoolbox will use for decoded frames.
CMVideoFormatDescriptionRef | cm_fmt_desc
| CoreMedia Format Description that Videotoolbox will use to create the decompression session.
int | cm_codec_type
| CoreMedia codec type that Videotoolbox will use to create the decompression session.

## Detailed Description

This struct holds all the information that needs to be passed between the caller and libavcodec for initializing Videotoolbox decoding.

Its size is not a part of the public ABI, it must be allocated with av_videotoolbox_alloc_context() and freed with av_free().

Definition at line 57 of file videotoolbox.h.

## Field Documentation

## session

VTDecompressionSessionRef AVVideotoolboxContext::session

Videotoolbox decompression session object.

Definition at line 61 of file videotoolbox.h.

## cv_pix_fmt_type

OSType AVVideotoolboxContext::cv_pix_fmt_type

CVPixelBuffer Format Type that Videotoolbox will use for decoded frames.

set by the caller. If this is set to 0, then no specific format is requested from the decoder, and its native format is output.

Definition at line 68 of file videotoolbox.h.

## cm_fmt_desc

CMVideoFormatDescriptionRef AVVideotoolboxContext::cm_fmt_desc

CoreMedia Format Description that Videotoolbox will use to create the decompression session.

Definition at line 73 of file videotoolbox.h.

## cm_codec_type

int AVVideotoolboxContext::cm_codec_type

CoreMedia codec type that Videotoolbox will use to create the decompression session.

Definition at line 78 of file videotoolbox.h.

The documentation for this struct was generated from the following file:

- libavcodec/videotoolbox.h